import { useAppDispatch, useAppSelector } from "./useStore"
import { GamePayload, setPlayerId, updateGameState, updateMoney } from "@/utils/features/game/gameSlice"

export const useGame = () => useAppSelector((state) => state.game)
export const useSetPlayerId = () => {
  const dispath = useAppDispatch()
  return (playerId: number) => dispath(setPlayerId(playerId))
}
export const useUpdateMoney = () => {
    const dispatch = useAppDispatch()
    return (money: number) => dispatch(updateMoney(money))
}
export const useUpdateGameState = () => {
    const dispatch = useAppDispatch()
    return (game: GamePayload) => dispatch(updateGameState(game))
}
