import { configureStore } from '@reduxjs/toolkit'
import authReducer from './features/auth/authSlice'
import challengesReducer from './features/challenges/challengesSlice'
import challengeActionsReducer from './features/challengeActions/challengeActionsSlice'
import gameReducer from './features/game/gameSlice'
import locationReducer from './features/location/locationSlice'
import trainReducer from './features/train/trainSlice'

const store = configureStore({
  reducer: {
    auth: authReducer,
    challenges: challengesReducer,
    challengeActions: challengeActionsReducer,
    game: gameReducer,
    location: locationReducer,
    train: trainReducer,
  },
})

export default store

export type RootState = ReturnType<typeof store.getState>
export type AppDispatch = typeof store.dispatch