import { ApiProperty } from "@nestjs/swagger"
import { Player } from "@prisma/client"
import { Exclude } from 'class-transformer'

export class PlayerEntity implements Player {
  constructor(partial: Partial<PlayerEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({description: "Identifiant unique"})
  id: number

  @ApiProperty({description: "Nom de læ joueur⋅se"})
  name: string

  @Exclude()
  password: string

  @ApiProperty({description: "Nombre de jetons dont dispose actuellement læ joueur⋅se"})
  money: number
}
